import { Id } from "./id.js";
export interface League {
    id: Id;
    tournamentId: Id;
    finished: boolean;
    leagueDays: LeagueDay[];
    userScores: UserScore[];
}
export interface UserScore {
    userId: string;
    score: number;
}
export interface LeagueDay {
    day: number;
    userDayScores: UserLeagueDayResults[];
}
export interface UserLeagueDayResults {
    userId: string;
    dayNumber: number;
    dayScore: number;
    predictions: PredictionResult[];
}
export interface PredictionResult {
    matchId: Id;
    predictionTeamId: Id;
    wasCorrect: boolean;
}
