import { Id } from "./id.js";
export interface League {
    id: Id;
    tournamentId: Id;
    finished: boolean;
    daysMap: Map<number, LeagueDay>;
    userScores: Map<string, number>;
}
export interface LeagueDay {
    day: number;
    userScores: Map<string, UserLeagueDayResults>;
}
export interface UserLeagueDayResults {
    userId: string;
    dayNumber: number;
    dayScore: number;
    predictions: Map<Id, PredictionResult>;
}
export interface PredictionResult {
    matchId: Id;
    predictionTeamId: Id;
    wasCorrect: boolean;
}
